SKILL(1)

NOME
skill, snice - envia um sinal ou relata status de processo

SINOPSE
skill [sinal] [opções] expressão
snice [nova prioridade] [opções] expressão

DESCRIÇÃO
Essas ferramentas são obsoletas e não portáveis. A sintaxe de comando está mal definida. Considere usar os comandos killall, pkill e pgrep.

O sinal padrão para skill é TERM. Use -l ou -L para listar sinais disponíveis. Sinais particularmente úteis incluem HUP, INT, KILL, STOP, CONT e 0. Sinais alternativos podem ser passados nas três formas: -9 -SIGKILL -KILL.

A prioridade padrão para snice é +4. Intervalo de números de prioridade de +20 (mais lento) a -20 (mais rápido). Números de prioridade negativos são restritos a usuários administrativos.

OPÇÕES

-f, --fast
    Modo rápido. Essa opção não foi implementada.

-i, --interactive
    Uso interativo. Você será solicitado aprovação para cada ação.

-l, --list
    Lista todos os nomes de sinais.

-L, --table
    Lista todos os nomes de sinais em uma tabela legal.

-n, --no-action
    Nenhuma ação; realiza uma simulação dos eventos que ocorreriam, mas não chega a alterar o sistema.

-v, --verbose
    Verboso; explica o que está sendo feito.

-w, --warnings
    Habilita avisos. Essa opção não foi implementada.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Exibe informação da versão.

OPÇÕES DE SELEÇÃO DE PROCESSO
Critérios de seleção podem ser: terminal, user, pid, command. As opções abaixo podem ser usadas para garantir interpretação correta.

-t, --tty tty
    A próxima expressão é um terminal (tty ou pty).

-u, --user usuário
    A próxima expressão é um nome de usuário.

-p, --pid pid
    A próxima expressão é um número de ID de processo.

-c, --command comando
    A próxima expressão é um nome de comando.

--ns pid
    Corresponde os processos que pertencem ao mesmo espaço de nomes e pid.

--nslist ns,...
    lista quais espaços de nomes serão considerados para a opção --ns. Espaços de nomes disponíveis: ipc, mnt, net, pid, user, uts.

SINAIS
O comportamento de sinais é explicado na página de manual signal(7).

EXEMPLOS

snice -c seti -c crack +7
    Reduz a velocidade dos comandos seti e crack.

skill -KILL -t /dev/pts/*
    Termina usuários nos dispositivos PTY.

skill -STOP -u viro -u lm -u davem
    Para três usuários.

VEJA TAMBÉM
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

PADRÕES
Nenhum padrão aplicável.

AUTOR
Albert Cahalan (albert@users.sf.net) wrote skill and snice in 1999 as a replacement for a non-free version.

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org